# MatSNESMFAddNullSpace

Provides a null space that an operator is supposed to have. Since roundoff will create a small component in the null space, if you know the null space you may have it automatically removed.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode MatSNESMFAddNullSpace(Mat J,MatNullSpace nullsp)

Collective on Mat

### Input Parameters

| J | - the matrix-free matrix context
| nullsp | - object created with MatNullSpaceCreate()

### Keywords

SNES, matrix-free, null space

### See Also

MatNullSpaceCreate(), MatSNESMFGetH(), MatCreateSNESMF(),
MatSNESMFSetHHistory(), MatSNESMFResetHHistory(), MatSNESMFKSPMonitor(), MatSNESMFErrorRel()

Level:advanced
Location:src/snes/mf/snesmfj.c
Index of all SNESMF routines
Table of Contents for all manual pages
Index of all manual pages